Bug 998023 - SOA6 Plugin Does Not Discover SOA6
SOA6 Plugin Does Not Discover SOA6
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6 (Show other bugs)
JON 3.2
Unspecified Unspecified
urgent Severity urgent
: ER03
: JON 3.2.0
Assigned To: Thomas Segismont
Mike Foley
:
Depends On:
Blocks: 1012435
  Show dependency treegraph
 
Reported: 2013-08-16 14:39 EDT by Viet Nguyen
Modified: 2014-01-02 15:38 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (2.40 KB, patch)
2013-08-20 09:40 EDT, Libor Zoubek
no flags Details | Diff
Screenshot (145.92 KB, image/png)
2013-11-01 03:08 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Viet Nguyen 2013-08-16 14:39:58 EDT
Description of problem:

1. Upload rhq-switchyard plugin to JON 3.2 Alpha
https://github.com/knrc/rhq-switchyard-plugin

2. Install SOA 6 by unzipping the build [1] into an existing EAP 6.1 directory.  From the agent log JON JBossAS7 plugin fails to inventory SOA 6. I don't see any discovery attempt by Switchyard plugin.
 

2013-08-16 13:13:08,058 ERROR [ResourceDiscoveryComponent.invoker.daemon-187] (rhq.modules.plugins.jbossas7.StandaloneASDiscovery)- Discovery of a JBossAS7 Standalone Server Resource failed for process: pid=[11011], name=[java], ppid=[10949].
java.lang.RuntimeException: Failed to determine product type for JBoss product installed at [/home/hudson/jboss-eap6-standalone].
	at org.rhq.modules.plugins.jbossas7.JBossProductType.determineJBossProductTypeViaHomeDirName(JBossProductType.java:133)
	at org.rhq.modules.plugins.jbossas7.JBossProductType.determineJBossProductType(JBossProductType.java:66)
	at org.rhq.modules.plugins.jbossas7.BaseProcessDiscovery.buildResourceDetails(BaseProcessDiscovery.java:195)
	at org.rhq.modules.plugins.jbossas7.StandaloneASDiscovery.buildResourceDetails(StandaloneASDiscovery.java:85)
	at org.rhq.modules.plugins.jbossas7.BaseProcessDiscovery.discoverResources(BaseProcessDiscovery.java:138)



---------

[1] SOA 
http://dev138.mw.lab.eng.bos.redhat.com/candidate/soa-6.0.0.ER1/
 file soa-6.0.0.ER1-redhat-1.zip

EAP build
http://download.devel.redhat.com/released/JBEAP-6/6.1.0/
---------
Comment 2 kconner 2013-08-19 10:20:54 EDT
The discovery of the server is currently handled by the jboss as7 plugin, the switchyard plugin is only responsible for exposing the SY MBeans through JON.

I'll try to reproduce your test and find out why the jboss as7 plugin is not succeeding with the discovery.
Comment 8 Heiko W. Rupp 2013-08-20 04:19:43 EDT
Thomas,
can you please work with the SOA guys to get this quickly resolved?
Comment 9 Libor Zoubek 2013-08-20 09:40:15 EDT
Created attachment 788503 [details]
proposed patch
Comment 12 Thomas Segismont 2013-08-20 17:11:05 EDT
Merged patch from Libor in master

commit e960b65c053fa58bcb383b09783e2fcc476c9ccd
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Tue Aug 20 23:05:49 2013 +0200
Comment 13 Thomas Segismont 2013-08-20 17:21:23 EDT
Hi Kevin,

Can you confirm that in JBossProductType class we need to keep:
* "SOA-P" as SHORT_NAME
* "JBoss SOA-P 6" as NAME
*  "SOAP" as PRODUCT_NAME

SHORT_NAME is used to build default resource name
NAME is only used for debugging AFAIK
PRODUCT_NAME is used for resource plugin config validation (see org.rhq.modules.plugins.jbossas7.BaseServerComponent#validateServerAttributes and org.rhq.modules.plugins.jbossas7.BaseServerComponent#getAvailabilityNow)

Thanks,
Thomas
Comment 14 Libor Zoubek 2013-08-21 06:14:53 EDT
veirified on Version: 4.9.0-SNAPSHOT Build Number: 9bdea14 - SOA instance is discovered.
Comment 16 Sunil Kondkar 2013-11-01 02:58:44 EDT
Verified on Version: 3.2.0.ER4 Build Number: e413566:057b211

Installed SOA 6 by unzipping the build into an existing EAP 6.1 directory. Verified that the soa6 instance is discovered successfully. Please refer the screenshot.
Comment 17 Sunil Kondkar 2013-11-01 03:08:02 EDT
Created attachment 818150 [details]
Screenshot

Note You need to log in before you can comment on or make changes to this bug.